Module javafx.fxml

# Package javafx.fxml

Contains classes for loading an object hierarchy from markup. For more information, see the Introduction to FXML document.

- Interface Summary
  Interface | Description
  --- | ---
  Initializable | Controller initialization interface.
  LoadListener | Load listener interface.

- Class Summary
  Class | Description
  --- | ---
  FXMLLoader | Loads an object hierarchy from an XML document.
  JavaFXBuilderFactory | JavaFX builder factory.

- Exception Summary
  Exception | Description
  --- | ---
  LoadException | Thrown when an error is encountered during a load operation.

- Annotation Types Summary
  Annotation Type | Description
  --- | ---
  FXML | Annotation that tags a field or method as accessible to markup.